<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| PHP-Fusion 5 - Banner System Panel          |
|---------------------------------------------|
| author: Robert 'Wooya' Gaudyn  2005        |
| web: http://www.php-fusion-mls.prv.pl       |
| email: 2loud@2loud.art.pl                   |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("C")) { header("Location:../../index.php"); exit; }

@include FUSION_INFUSIONS."banners_panel/languages/".str_replace("/","",FUSION_LAN).".php";
@include FUSION_INFUSIONS."banners_panel/languages/English.php";

// Infusion Information
$inf_name = "Banners Panel";
$inf_version = "1.0";
$inf_author = "Wooya";
$inf_email = "2loud@2loud.art.pl";
$inf_web = "www.php-fusion-mls.prv.pl/";
$inf_description = "PL: Panel do zarzdzania graficznymi banerami na stronie ze wspomaganiem dla MLS. Po instalacji infusiona, dodaj i wcz panel w Zarzdzaniu panelami; EN: Banners panel and admin's panel for banners display with MLS. After infusion instalation go to admin panel and on Banners Panel";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "banners_panel";
$inf_admin = "banners_admin.php";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].

// Database Table information : Create database tables.
$inf_create_tables[0] = "CREATE TABLE ".$fusion_prefix."banners (
			banner_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
			banner_url VARCHAR(200) NOT NULL DEFAULT 'http://',
			banner_pic VARCHAR(100) NOT NULL DEFAULT '',
			banner_info text NOT NULL DEFAULT '',
			banner_order INT(2) NOT NULL DEFAULT '1',
			banner_clicks INT(5) NOT NULL DEFAULT '0',
			lang VARCHAR(20) NOT NULL DEFAULT '".FUSION_LAN."',
			PRIMARY KEY (banner_id)
			) TYPE=MyISAM;";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$fusion_prefix."banners";
?>